Subject: bug#15350: [PATCH 19/19] tests: Restrict gpt-header-munge to little-endian systems

From: Phillip Susi <[email-masked]>
Date: Sat, 01 Mar 2014 21:57:38 -0500

On 02/28/2014 02:29 PM, Brian C. Lane wrote:
>>> gpt-header-munge uses perl to manipulate the gpt header for
>>> the test. It only works on 64 bit little-endian systems so
>>> restrict it to x86_64 only.
>> 
>> I was wondering; is this a bug in the script, or a bug in perl?
>> It would be preferable to fix it so it works than to skip it.
> 
> IIRC it is a problem with using perl to do this, its unpack
> doesn't handle the order correctly.

So this test already fails for me on current git master ( didn't have
that perl module installed before so it was skipped ), apparently
because gpt-header-munge puts the backup gpt in the wrong place.  Do
you happen to remember what the error was you saw on the other systems?